---

- name: Install basics
  apt:
    name: "{{ item }}"
    state: present
  with_items:
    - curl
    - ca-certificates
    - tzdata
    - perl
    - cifs-utils
    - unzip

- name: Remove old gitlab GPG apt Key
  apt_key:
    id: 3F01618A51312F3F
    state: absent

- name: Add gitlab GPG apt Key
  apt_key:
    url: https://packages.gitlab.com/gpg.key
    state: present

- name: Set os related tasks
  include_tasks: "{{ item }}"
  with_first_found:
    - "prereq/{{ ansible_distribution }}.yml"
    - "prereq/default.yml"

- name: Install gitlab-ce
  apt:
    name: gitlab-ce
    state: present

- name: Copy gitlab config
  template:
    src: gitlab.rb.j2
    dest: /etc/gitlab/gitlab.rb
    owner: root
    group: root
    mode: 0600

- name: Copy gitlab secrets
  template:
    src: gitlab-secrets.json
    dest: /etc/gitlab/gitlab-secrets.json
    owner: root
    group: root
    mode: 0600

- name: Copy gitlab scripts
  template:
    src: "{{ item }}.sh.j2"
    dest: "/usr/local/bin/gitlab-{{ item }}"
    mode: 'u+x,g+x'
    owner: root
    group: root
  with_items:
    - backup
    - restore

- name: Copy backup service
  template:
    src: gitlab-backup.service.j2
    dest: /etc/systemd/system/gitlab-backup.service
    owner: root
    group: root    
    mode: 0664

- name: Copy backup timer
  template:
    src: gitlab-backup.timer.j2
    dest: /etc/systemd/system/gitlab-backup.timer
    owner: root
    group: root    
    mode: 0664

- name: Enable backup timer
  systemd:
    name: gitlab-backup.timer
    state: started
    enabled: yes
 
